[Version]
Signature	     = "$CHICAGO$"
DEVTYPE_UIU_INI_FILE = 1
INI_ORDER = 2

[UIUSetupCfg]
COMMAND_LINE = "-INI=ForteConfig.ini, ForteConfig"
FriendlyName = "ForteConfig"

[FileCfg]
Setup64FileName = x64\Setup64.exe

[Manufacturer]
Conexant = Conexant

[Conexant.NTx86.5.1]
Conexant = CNXT_EDGE1.NTx86.5.1, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5000
Conexant = CNXT_EDGE2.NTx86.5.1, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5001
Conexant = CNXT_EDGE3.NTx86.5.1, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5100
Conexant = CNXT_EDGE4.NTx86.5.1, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5101
Conexant = CNXT_EDGE5.NTx86.5.1, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA500B
Conexant = CNXT_EDGE6.NTx86.5.1, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5106
Conexant = CNXT_EDGE7.NTx86.5.1, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5108
Conexant = CNXT_EDGE8.NTx86.5.1, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5015

[Conexant.NTx86.6]
Conexant = CNXT_EDGE1.NTx86.6, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5000
Conexant = CNXT_EDGE2.NTx86.6, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5001
Conexant = CNXT_EDGE3.NTx86.6, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5100
Conexant = CNXT_EDGE4.NTx86.6, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5101
Conexant = CNXT_EDGE5.NTx86.6, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA500B
Conexant = CNXT_EDGE6.NTx86.6, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5106
Conexant = CNXT_EDGE7.NTx86.6, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5108
Conexant = CNXT_EDGE8.NTx86.6, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5015

[Conexant.NTamd64.5.1]
Conexant = CNXT_EDGE1.NTamd64.5.1, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5000
Conexant = CNXT_EDGE2.NTamd64.5.1, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5001
Conexant = CNXT_EDGE3.NTamd64.5.1, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5100
Conexant = CNXT_EDGE4.NTamd64.5.1, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5101
Conexant = CNXT_EDGE5.NTamd64.5.1, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA500B
Conexant = CNXT_EDGE6.NTamd64.5.1, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5106
Conexant = CNXT_EDGE7.NTamd64.5.1, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5108
Conexant = CNXT_EDGE8.NTamd64.5.1, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5015

[Conexant.NTamd64.6]
Conexant = CNXT_EDGE1.NTamd64.6, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5000
Conexant = CNXT_EDGE2.NTamd64.6, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5001
Conexant = CNXT_EDGE3.NTamd64.6, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5100
Conexant = CNXT_EDGE4.NTamd64.6, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5101
Conexant = CNXT_EDGE5.NTamd64.6, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA500B
Conexant = CNXT_EDGE6.NTamd64.6, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5106
Conexant = CNXT_EDGE7.NTamd64.6, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5108
Conexant = CNXT_EDGE8.NTamd64.6, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5015

[CNXT_EDGE1.NTx86.5.1]
AddReg	   = UninstallAddReg, UninstallAddReg32XP
CopyFiles  = CopyFilesEDGE1, CopySetupFiles32

[CNXT_EDGE1.NTamd64.5.1]
AddReg	   = UninstallAddReg, UninstallAddReg64XP
CopyFiles  = CopyFilesEDGE1, CopySetupFiles64

[CNXT_EDGE1.NTx86.6]
AddReg	   = RunAddReg32, UninstallAddReg, UninstallAddReg32WRT
CopyFiles  = CopyFilesEDGE1, CopySetupFiles32, CopyFiles32
InstallApp = InstallApp32

[CNXT_EDGE1.NTamd64.6]
AddReg	   = RunAddReg64, UninstallAddReg, UninstallAddReg64WRT
CopyFiles  = CopyFilesEDGE1, CopySetupFiles64, CopyFiles64
InstallApp = InstallApp64

[CNXT_EDGE2.NTx86.5.1]
AddReg	   = UninstallAddReg, UninstallAddReg32XP
CopyFiles  = CopyFilesEDGE2, CopySetupFiles32

[CNXT_EDGE2.NTamd64.5.1]
AddReg	   = UninstallAddReg, UninstallAddReg64XP
CopyFiles  = CopyFilesEDGE2, CopySetupFiles64

[CNXT_EDGE2.NTx86.6]
AddReg	   = RunAddReg32, UninstallAddReg, UninstallAddReg32WRT
CopyFiles  = CopyFilesEDGE2, CopySetupFiles32, CopyFiles32
InstallApp = InstallApp32

[CNXT_EDGE2.NTamd64.6]
AddReg	   = RunAddReg64, UninstallAddReg, UninstallAddReg64WRT
CopyFiles  = CopyFilesEDGE2, CopySetupFiles64, CopyFiles64
InstallApp = InstallApp64

[CNXT_EDGE3.NTx86.5.1]
AddReg	   = UninstallAddReg, UninstallAddReg32XP
CopyFiles  = CopyFilesEDGE3, CopySetupFiles32

[CNXT_EDGE3.NTamd64.5.1]
AddReg	   = UninstallAddReg, UninstallAddReg64XP
CopyFiles  = CopyFilesEDGE3, CopySetupFiles64

[CNXT_EDGE3.NTx86.6]
AddReg	   = RunAddReg32, UninstallAddReg, UninstallAddReg32WRT
CopyFiles  = CopyFilesEDGE3, CopySetupFiles32, CopyFiles32
InstallApp = InstallApp32

[CNXT_EDGE3.NTamd64.6]
AddReg	   = RunAddReg64, UninstallAddReg, UninstallAddReg64WRT
CopyFiles  = CopyFilesEDGE3, CopySetupFiles64, CopyFiles64
InstallApp = InstallApp64

[CNXT_EDGE4.NTx86.5.1]
AddReg	   = UninstallAddReg, UninstallAddReg32XP
CopyFiles  = CopyFilesEDGE4, CopySetupFiles32

[CNXT_EDGE4.NTamd64.5.1]
AddReg	   = UninstallAddReg, UninstallAddReg64XP
CopyFiles  = CopyFilesEDGE4, CopySetupFiles64

[CNXT_EDGE4.NTx86.6]
AddReg	   = RunAddReg32, UninstallAddReg, UninstallAddReg32WRT
CopyFiles  = CopyFilesEDGE4, CopySetupFiles32, CopyFiles32
InstallApp = InstallApp32

[CNXT_EDGE4.NTamd64.6]
AddReg	   = RunAddReg64, UninstallAddReg, UninstallAddReg64WRT
CopyFiles  = CopyFilesEDGE4, CopySetupFiles64, CopyFiles64
InstallApp = InstallApp64

[CNXT_EDGE5.NTx86.5.1]
AddReg	   = UninstallAddReg, UninstallAddReg32XP
CopyFiles  = CopyFilesEDGE5, CopySetupFiles32

[CNXT_EDGE5.NTamd64.5.1]
AddReg	   = UninstallAddReg, UninstallAddReg64XP
CopyFiles  = CopyFilesEDGE5, CopySetupFiles64

[CNXT_EDGE5.NTx86.6]
AddReg	   = RunAddReg32, UninstallAddReg, UninstallAddReg32WRT
CopyFiles  = CopyFilesEDGE5, CopySetupFiles32, CopyFiles32
InstallApp = InstallApp32

[CNXT_EDGE5.NTamd64.6]
AddReg	   = RunAddReg64, UninstallAddReg, UninstallAddReg64WRT
CopyFiles  = CopyFilesEDGE5, CopySetupFiles64, CopyFiles64
InstallApp = InstallApp64

[CNXT_EDGE6.NTx86.5.1]
AddReg	   = UninstallAddReg, UninstallAddReg32XP
CopyFiles  = CopyFilesEDGE6, CopySetupFiles32

[CNXT_EDGE6.NTamd64.5.1]
AddReg	   = UninstallAddReg, UninstallAddReg64XP
CopyFiles  = CopyFilesEDGE6, CopySetupFiles64

[CNXT_EDGE6.NTx86.6]
AddReg	   = RunAddReg32, UninstallAddReg, UninstallAddReg32WRT
CopyFiles  = CopyFilesEDGE6, CopySetupFiles32, CopyFiles32
InstallApp = InstallApp32

[CNXT_EDGE6.NTamd64.6]
AddReg	   = RunAddReg64, UninstallAddReg, UninstallAddReg64WRT
CopyFiles  = CopyFilesEDGE6, CopySetupFiles64, CopyFiles64
InstallApp = InstallApp64

[CNXT_EDGE7.NTx86.5.1]
AddReg	   = UninstallAddReg, UninstallAddReg32XP
CopyFiles  = CopyFilesEDGE7, CopySetupFiles32

[CNXT_EDGE7.NTamd64.5.1]
AddReg	   = UninstallAddReg, UninstallAddReg64XP
CopyFiles  = CopyFilesEDGE7, CopySetupFiles64

[CNXT_EDGE7.NTx86.6]
AddReg	   = RunAddReg32, UninstallAddReg, UninstallAddReg32WRT
CopyFiles  = CopyFilesEDGE7, CopySetupFiles32, CopyFiles32
InstallApp = InstallApp32

[CNXT_EDGE7.NTamd64.6]
AddReg	   = RunAddReg64, UninstallAddReg, UninstallAddReg64WRT
CopyFiles  = CopyFilesEDGE7, CopySetupFiles64, CopyFiles64
InstallApp = InstallApp64

[CNXT_EDGE8.NTx86.5.1]
AddReg	   = UninstallAddReg, UninstallAddReg32XP
CopyFiles  = CopyFilesEDGE8, CopySetupFiles32

[CNXT_EDGE8.NTamd64.5.1]
AddReg	   = UninstallAddReg, UninstallAddReg64XP
CopyFiles  = CopyFilesEDGE8, CopySetupFiles64

[CNXT_EDGE8.NTx86.6]
AddReg	   = RunAddReg32, UninstallAddReg, UninstallAddReg32WRT
CopyFiles  = CopyFilesEDGE8, CopySetupFiles32, CopyFiles32
InstallApp = InstallApp32

[CNXT_EDGE8.NTamd64.6]
AddReg	   = RunAddReg64, UninstallAddReg, UninstallAddReg64WRT
CopyFiles  = CopyFilesEDGE8, CopySetupFiles64, CopyFiles64
InstallApp = InstallApp64

[RunAddReg32]
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Run, ForteConfig,,%16422%\Conexant\ForteConfig\fmapp.exe

[RunAddReg64]
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Run, ForteConfig,,%16422%\Conexant\ForteConfig\fmapp.exe

[UninstallAddReg]
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ForteConfig,DisplayName,,    "Forte Config"
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ForteConfig,DisplayVersion,, "1.0.0.0"
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ForteConfig,VersionMajor,,   "1"
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ForteConfig,VersionMinor,,   "0"
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ForteConfig,Publisher,,      "Conexant Systems"
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ForteConfig,InstallLocation,,"%16422%\CONEXANT\ForteConfig"

[UninstallAddReg32XP]
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ForteConfig,UninstallString,, "%16422%\CONEXANT\ForteConfig\SETUP.EXE -U -IForteConfig"

[UninstallAddReg32WRT]
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ForteConfig,UninstallString,, "%16422%\CONEXANT\ForteConfig\SETUP.EXE -U -IForteConfig -SM=fmapp.exe,16"

[UninstallAddReg64XP]
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ForteConfig,UninstallString,, "%16422%\CONEXANT\ForteConfig\SETUP64.EXE -U -IForteConfig"

[UninstallAddReg64WRT]
HKLM,SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ForteConfig,UninstallString,, "%16422%\CONEXANT\ForteConfig\SETUP64.EXE -U -IForteConfig -SM=fmapp.exe,16"

[SourceDisksNames]
1 = "ForteMedia Installation Disk"

[SourceDisksFiles]
WRT17AA5000.DAT = 1,\%AppID%
WRT17AA5001.DAT = 1,\%AppID%
WRT17AA5100.DAT = 1,\%AppID%
WRT17AA5101.DAT = 1,\%AppID%
WRT17AA500B.DAT = 1,\%AppID%
WRT17AA5106.DAT = 1,\%AppID%
WRT17AA5108.DAT = 1,\%AppID%
WRT17AA5015.DAT = 1,\%AppID%
fmapp.exe = 1,\%AppID%
fmapp64.exe = 1,\x64
setup64.exe = 1,\x64
setup.exe = 1

[DestinationDirs]
CopyFilesEDGE1	  = 10,system32\drivers
CopyFilesEDGE2	  = 10,system32\drivers
CopyFilesEDGE3	  = 10,system32\drivers
CopyFilesEDGE4	  = 10,system32\drivers
CopyFilesEDGE5	  = 10,system32\drivers
CopyFilesEDGE6	  = 10,system32\drivers
CopyFilesEDGE7	  = 10,system32\drivers
CopyFilesEDGE8	  = 10,system32\drivers
CopyFiles32		  = 16422,Conexant\ForteConfig
CopyFiles64		  = 16422,Conexant\ForteConfig
CopySetupFiles32	  = 16422,Conexant\ForteConfig
CopySetupFiles64	  = 16422,Conexant\ForteConfig

[CopyFilesEDGE1]
SamSfPa.dat, WRT17AA5000.DAT,,2

[CopyFilesEDGE2]
SamSfPa.dat, WRT17AA5001.DAT,,2

[CopyFilesEDGE3]
SamSfPa.dat, WRT17AA5100.DAT,,2

[CopyFilesEDGE4]
SamSfPa.dat, WRT17AA5101.DAT,,2

[CopyFilesEDGE5]
SamSfPa.dat, WRT17AA500B.DAT,,2

[CopyFilesEDGE6]
SamSfPa.dat, WRT17AA5106.DAT,,2

[CopyFilesEDGE7]
SamSfPa.dat, WRT17AA5108.DAT,,2

[CopyFilesEDGE8]
SamSfPa.dat, WRT17AA5015.DAT,,2

[CopyFiles32]
fmapp.exe,,,2

[CopyFiles64]
fmapp.exe, fmapp64.exe,,2

[CopySetupFiles32]
Setup.exe,,,2

[CopySetupFiles64]
Setup64.exe,,,2

[InstallApp32]
InstallApp = "%16422%\Conexant\ForteConfig\fmapp.exe",,4

[InstallApp64]
InstallApp = "%16422%\Conexant\ForteConfig\fmapp.exe",,4

[Strings]
AppTitle     = "ForteConfig"
AppID        = "ForteConfig"